#include "fftw.h"
#include <fftw3.h>

void fftw(unsigned long n, double complex *f, double complex *fhat, int dir)
{
  fftw_plan p = fftw_plan_dft_1d(n,f,fhat,
                                 dir<0?FFTW_BACKWARD:FFTW_FORWARD,
                                 FFTW_ESTIMATE);
  fftw_execute(p);
  fftw_destroy_plan(p);
  if (dir == -1) 
    for (unsigned long j=0;j<n;j++) 
      fhat[j]/=n;
}
